minexpert3 (11.8.2-1) unstable; urgency=low

  * Better isotopic cluster-based ion charge determination (improvements in
    libXpertMass).
  * Fix regression with feedback to the user when loading a mass spectral
    data file.
  * Fix tool tip string error.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 02 Jul 2026 13:13:54 +0200

minexpert3 (11.8.1-1) unstable; urgency=low

  * Propagate the "Shift-integrate to intensity" feature to all the
    data types (corresponding plot windows, RT, DT, MZ traces and all
    the color maps).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 30 Jun 2026 21:44:41 +0200

minexpert3 (11.8.0-1) unstable; urgency=low

  * Add new feature to perform the intensity integration on all the
    pinned-down widgets' mass spectral traces (Shift-mouse drag).

  * Document the new feature in the user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 23 Jun 2026 12:04:45 +0200

minexpert3 (11.7.1-1) unstable; urgency=low

  * Document the cumulative intensity integrations in the user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 21 Jun 2026 08:42:27 +0200

minexpert3 (11.7.0-1) unstable; urgency=low

  * Add feature to determine the charge of an ion based on the
    statistical analysis of the spacings between the centroids
    extracted from a mass spectral profile-mode region (feature
    involves new code in XpertMass).

  * Update the user manual.

  * Update dependency libs versions.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 21 Jun 2026 00:37:45 +0200

minexpert3 (11.6.3-1) unstable; urgency=low

  * Add requested feature: allow sequential integrations to INT to
    add up the intensities in a small spin box widget top right of the
    corresponding composite widget.

  * Update dependency libs versions.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 15 Jun 2026 18:57:19 +0200

minexpert3 (11.6.2-1) unstable; urgency=low

  * Fix missing synthetic mass spectrum display.
  * Update code to new developments in XpertMass project.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 11 Jun 2026 19:37:58 +0200

minexpert3 (11.6.1-1) unstable; urgency=low

  * Big update of the user manual, in particular with respect to
    the new mass spectrum analysis features.

  * Small bug fixes, code cleanup.

  * Update the names and versions of build-depend libraries.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 08 Jun 2026 22:19:39 +0200

minexpert3 (11.6.0-1) unstable; urgency=low

  * Big update of the user manual, in particular with respect to
    the new mass spectrum analysis features.

  * Small bug fixes, code cleanup.

  * Update the names and versions of build-depend libraries.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 05 Jun 2026 08:15:22 +0200

minexpert3 (11.5.0-1) stable; urgency=low

  * Implemented the basic framework for developing/handling plugins.
  * Try to store window positions even when the monitor setups change.
  * Reworked the trace labelling system to allow for multiple lists.
  * Implemented the analyte identification process on the  basis of
    an identity vs formula dictionary and of the obtained deconvoluted
    masses after the low mass deconvolver has done its work.

  * Bug fixes.
  * Better feedback to the user.
  * Improvements here and there.

  * Update the dependency libraries versions.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 30 May 2026 16:24:48 +0200

minexpert3 (11.4.2-2) unstable; urgency=low

  * d/control: fixup breaks/replaces to make oldlibs packages
    installable (Closes: #1133684, LP: #2148288).
    Many thanks to Gianfranco Costamagna <locutusofborg@debian.org>.

  * Update dependencies (libpappsomspp and libxpertmass) that
    have their d/shlibs generated automatically and thus fix
    the observed library dependency versions that were lagging.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 14 Apr 2026 13:29:09 +0200

minexpert3 (11.4.2-1) unstable; urgency=low

  * Bug fix release (DiscoveriesPreferences failure).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 13 Apr 2026 23:26:15 +0200

minexpert3 (11.4.1-1) unstable; urgency=low

  * Bug fix release.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 13 Apr 2026 11:55:51 +0200

minexpert3 (11.4.0-1) unstable; urgency=low

  * Improvements to the low mass deconvolver feature and
    factorization of preferences in the ApplicationPreferences.

  * Update deps on libpappsomspp and libxpertmass.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 09 Apr 2026 13:02:11 +0200

minexpert3 (11.3.2-1) unstable; urgency=low

  * Adaptations to new libXpertMassCore.

 -- Filippo Rusconi <lopippo@debian.org>  Wed, 01 Apr 2026 15:38:43 +0200

minexpert3 (11.3.1-1) unstable; urgency=low

  * Fix bug.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 27 Mar 2026 14:30:37 +0100

minexpert3 (11.3.0-1) unstable; urgency=low

  * Fix code to stick to changes in libpappsomspp and libxpertmass.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 26 Mar 2026 18:51:40 +0100

minexpert3 (11.2.1-1) unstable; urgency=low

  * Fix code to stick to changes in libpappsomspp and libxpertmass.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 19 Mar 2026 17:27:23 +0100

minexpert3 (11.2.0-1) unstable; urgency=low

  * Fix code to stick to changes in libpappsomspp and libxpertmass.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 06 Mar 2026 16:04:53 +0100

minexpert3 (11.1.0-2) unstable; urgency=low

  * Fix dependencies on libpappsomspp and libxpertmass.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 21 Feb 2026 21:27:00 +0100

minexpert3 (11.1.0-1) unstable; urgency=low

  * New upstream release implementing a low mass deconvolution feature that
    is accessible from the mass spectrum composite plot widget menu.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 17 Feb 2026 16:48:16 +0100

minexpert3 (11.0.1-1) unstable; urgency=low

   * Bug fix release: now the vertical rule is plotted at the slider position
     with perfect calculation of the x-axis value of the rule position in the
     x-axis-locked plot widgets.

  -- Filippo Rusconi <lopippo@debian.org>  Tue, 13 Jan 2026 14:28:41 +0100


minexpert3 (11.0.0-1) unstable; urgency=low

  * New release with entirely new Application preferences configuration
    system.

  * Implemented new vertical rule across plot widgets feature that shows the
    x-axis value when the plots are locked in the x-axis direction.

  * Updates to the user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 12 Jan 2026 16:25:16 +0100

minexpert3 (10.3.0-1) unstable; urgency=low

  * New release with reworked QSettings-based configuration and an
    implementation of the 'Recent files... ' menu.

  * Implemented the new mzCbor loader, after new code in libpappsomspp.

  * Reworked, with new code in libpappsomspp, the code on the
    mass spectral combinations. In particular, reinstated the
    data-based binning strategy.

  * Added a new filter to remove all
    the 0-intensity data points from a trace plotted in a plot widget.

  * Depends on more recent libpappsomspp and libxpertmass.

  * Reworked the user manual documentation about the binning strategy.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 18 Dec 2025 20:01:15 +0100

minexpert3 (10.2.0-1) unstable; urgency=low

  * New release with reworked deconvolution processes to always compute
    the mass of the analyte under the mass peak at the start of the mouse
    drag movement.

  * Update to the user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 29 Nov 2025 14:38:10 +0100

minexpert3 (10.1.1-1) unstable; urgency=low

  * New release with improved data analysis configuration.

  * Update to the user manual.

 -- Filippo Rusconi <lopippo@debian.org>  Sat, 22 Nov 2025 00:40:31 +0100

minexpert3 (10.1.0-1) UNRELEASED; urgency=low

  * New release fixing the versioning in the user manual
    user-manual-version-entity.ent file.

  * Updated the user manual with a new section about scripting.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 30 Oct 2025 20:30:36 +0100

minexpert3 (10.0.0-1) UNRELEASED; urgency=low

  * New version of the project ported to the new libXpertMass/libXpertMassGui
    libraries.

 -- Filippo Rusconi <lopippo@debian.org>  Sun, 01 Jun 2025 21:30:05 +0200

minexpert2 (9.6.0-1) unstable; urgency=low

  * Big new upstream version that new relies on shared libraries
    libxpertmass and libxpertmass-gui instead of having the two
    static libraries made inside the source tree.

    Thus, now depends on libxpertmass-dev (>= 1.0.0).

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 22 Jul 2024 15:01:38 +0200

minexpert2 (9.5.0-1) unstable; urgency=low

  * Major bug fix and new features:
    - Fix bug in pappsomspp not reading correctly
      Bruker timsTOF data when restricting the m/z range.
    - Reworked the code about handling the MS run probing
      when loading Bruker timsTOF data files.

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 31 May 2024 19:25:09 +0200

minexpert2 (9.4.1-1) unstable; urgency=low

  * Update dependency to new libpappsomspp version.
  * Added maintainer scripts to handle libmass and libmassgui code.

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 21 May 2024 19:42:37 +0200

minexpert2 (9.4.0-1) unstable; urgency=low

  * Major work on network communications between mineXpert2 and massXpert2;
  * Now allow for the opening of Bruker BafAscii files (in full only);
  * Fixed missing proper XY mass data loading feature;
  * Really implement libmass and libmassgui source trees as git submodules;
  * Set proper color to widgets that need their parentship with a given
    sample to be clearly visible;
  * Added feature to capture on simple mouse click of the x or y axis value
    on a trace;
  * Implement a QSettings-based memory for the Savitzky-Golay filter parameters.

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 16 May 2024 13:30:55 +0200

minexpert2 (9.3.2-1) UNRELEASED; urgency=low

  * Implemented provisions for Bruker timsTOF data that might have
    been integrated by flatteing IMS scans, thus having no
    ion mobility data anymore.

  * Implemented multi m/z XIC extractions.

  * Reworked fully the SelectionPolygon code into a new implementation named
    IntegrationScope.

  * Last fixes to the user manual build system.

  * Update dependency to libpappsomspp (version 0.9.24).

 -- Filippo Rusconi <lopippo@debian.org>  Thu, 07 Dec 2023 12:16:47 +0100

minexpert2 (9.3.1-1) unstable; urgency=low

  * New upstream version improving the probing of the Bruker timsTOF data
    prior to loading.

  * Documented new feature in the user manual.

  * Improved the user manual build to avoid copying the whole
    directory to the build directory.

  * libpappsomspp-dev (>= 0.9.20)

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 06 Dec 2023 13:02:17 +0100

minexpert2 (9.2.2-1) unstable; urgency=low

  * Fix bug: minexpert2: Fails to build source after successful build. Running
    dpkg-buildpackage; dpkg-buildpackage -S works flawlessly (Closes:
    #1046641). Thanks Lucas Nussbaum for reporting the bug.

  * Update dependency over libpappsomspp*.

 -- Filippo Rusconi <lopippo@debian.org>  Mon, 20 Nov 2023 18:12:24 +0100

minexpert2 (9.2.1-1) unstable; urgency=medium

  * Upstream release

    - a serious bug has been fixed (not removing mass spectra from the set to
    be integrated based on the DT range; commit
    df32744d79564f477c7f2358f7681adb5373cb59).

    - improvements to the GUI (added syntax-explanating tooltips to the mass
    spectral data table view filtering line edit widgets)

    - fixed small memory leaks

 -- Filippo Rusconi <lopippo@debian.org>  Fri, 30 Jun 2023 10:51:55 +0200

minexpert2 (9.2.0-1) unstable; urgency=low

  * New upstream release with improvements in the way plots are exported
    as graphics files or as a clipboard object (SVG or RASTER).

  * Update dep lib version libpappsomspp-dev (>= 0.9.12).

  * Removed a bunch of dep pacakges versions.

  * Standards-Version: 4.6.2

  * Remove Conflicts: msxpertsuite-minexpert-data-doc and co.

  * Should fix the build failure (Closes: #1037777).

 -- Filippo Rusconi <lopippo@debian.org>  Tue, 20 Jun 2023 16:56:43 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog minexpert3`.
